package ai;

import l2ft.gameserver.ai.Fighter;
import l2ft.gameserver.model.L2Character;
import l2ft.gameserver.skills.Stats;
import l2ft.gameserver.skills.funcs.FuncMul;

public class Quest196SealDevice extends Fighter
{
	public Quest196SealDevice(L2Character actor)
	{
		super(actor);
		actor.addStatFunc(new FuncMul(Stats.REFLECT_DAMAGE_PERCENT, 64, this, 10.0D));
		actor.addStatFunc(new FuncMul(Stats.REFLECT_PSKILL_DAMAGE_PERCENT, 64, this, 10.0D));
		actor.addStatFunc(new FuncMul(Stats.REFLECT_MSKILL_DAMAGE_PERCENT, 64, this, 10.0D));
	}

	protected void onEvtAttacked(L2Character attacker, int damage)
	{
	}

	protected void onEvtAggression(L2Character target, int aggro)
	{
	}

	protected boolean randomWalk()
	{
		return false;
	}
}