package items;

import l2ft.extensions.scripts.ScriptFile;
import l2ft.gameserver.handler.IItemHandler;
import l2ft.gameserver.handler.ItemHandler;
import l2ft.gameserver.model.L2Playable;
import l2ft.gameserver.model.L2Player;
import l2ft.gameserver.model.items.L2ItemInstance;
import l2ft.gameserver.serverpackets.SystemMessage;

public class NevitItems implements IItemHandler, ScriptFile {
    private static final int[] itemId = {
            17094
    };

    @Override
    public void useItem(L2Playable playable, L2ItemInstance item, Boolean val) {
        if(playable == null || !playable.isPlayer())
            return;
        L2Player player = (L2Player) playable;
        player.getInventory().destroyItem(item, 1, false);
		player.getRecommendation().addRecomHave(10);
        player.sendPacket(new SystemMessage(3207).addNumber(10));
    }

    @Override
    public int[] getItemIds() {
        return itemId;
    }

    @Override
    public void onLoad() {
        ItemHandler.getInstance().registerItemHandler(this);
    }

    @Override
    public void onReload() {

    }

    @Override
    public void onShutdown() {

    }
}
