package npc.model;

import l2ft.extensions.scripts.Functions;
import l2ft.gameserver.model.L2Multisell;
import l2ft.gameserver.model.L2Player;
import l2ft.gameserver.model.instances.L2MerchantInstance;
import l2ft.gameserver.templates.L2NpcTemplate;

public class SoulTraderInstance extends L2MerchantInstance
{
	public SoulTraderInstance(int objectId, L2NpcTemplate template)
	{
		super(objectId, template);
	}

	@Override
	public void onBypassFeedback(L2Player player, String command)
	{
		if(!canBypassCheck(player, this))
			return;
		if (command.equalsIgnoreCase("buyspecial"))
			if (Functions.getItemCount(player, 13691) >= 1)
				L2Multisell.getInstance().SeparateAndSend(698, player, 0);
			else
				L2Multisell.getInstance().SeparateAndSend(647, player, 0);
		super.onBypassFeedback(player, command);
	}
}