/*     */ package quests._504_CompetitionfortheBanditStronghold;
/*     */ 
/*     */ import l2ft.extensions.scripts.ScriptFile;
import l2ft.gameserver.instancemanager.ClanHallManager;
import l2ft.gameserver.model.entity.residence.ClanHall;
import l2ft.gameserver.model.entity.siege.clanhall.ClanHallSiege;
import l2ft.gameserver.model.instances.L2NpcInstance;
import l2ft.gameserver.model.quest.Quest;
import l2ft.gameserver.model.quest.QuestState;
/*     */ 
/*     */ public class _504_CompetitionfortheBanditStronghold extends Quest
/*     */   implements ScriptFile
/*     */ {
/*     */   private static final int MESSENGER = 35437;
/*  21 */   private static int TARLK_BUGBEAR = 20570;
/*  22 */   private static int TARLK_BASILISK = 20573;
/*  23 */   private static int ELDER_TARLK_BASILISK = 20574;
/*     */ 
/*  26 */   private static int AMULET = 4332;
/*     */ 
/*  29 */   private static int AMULET_SHANCE = 10;
/*     */ 
/*     */   public _504_CompetitionfortheBanditStronghold()
/*     */   {
/*  33 */     super(false);
/*     */ 
/*  35 */     addStartNpc(35437);
/*  36 */     addTalkId(new int[] { 35437 });
/*  37 */     addKillId(new int[] { TARLK_BUGBEAR, TARLK_BASILISK, ELDER_TARLK_BASILISK });
/*     */   }
/*     */ 
/*     */   public String onEvent(String event, QuestState st, L2NpcInstance npc)
/*     */   {
/*  43 */     ClanHall ch = ClanHallManager.getInstance().getClanHall(35);
/*  44 */     ClanHallSiege chSiege = ch.getSiege();
/*     */ 
/*  46 */     String htmltext = event;
/*  47 */     int cond = st.getInt("cond");
/*  48 */     if (event.equalsIgnoreCase("35437-02.htm"))
/*     */     {
/*  50 */       st.set("cond", "2");
/*  51 */       st.setState(2);
/*  52 */       st.playSound(SOUND_ACCEPT);
/*  53 */       if (st.getQuestItemsCount(AMULET) > 0L)
/*  54 */         st.takeItems(AMULET, -1L);
/*     */     }
/*  56 */     if (event.equalsIgnoreCase("35437-03.htm"))
/*     */     {
/*  58 */       st.takeItems(AMULET, -1L);
/*  59 */       st.set("cond", "3");
/*     */     }
/*  61 */     if (event.equalsIgnoreCase("35437-11.htm"))
/*     */     {
/*  63 */       st.takeItems(AMULET, -1L);
/*  64 */       st.exitCurrentQuest(true);
/*     */     }
/*  66 */     if (event.equalsIgnoreCase("35437-12.htm"))
/*     */     {
/*  68 */       st.setState(2);
/*  69 */       if (st.getQuestItemsCount(AMULET) > 0L)
/*  70 */         st.takeItems(AMULET, -1L);
/*  71 */       if (cond == 0)
/*     */       {
/*  73 */         st.takeItems(57, 200000L);
/*  74 */         st.set("cond", "1");
/*  75 */         st.set("SiegePeriod", String.valueOf(chSiege.getSiegeDate().getTimeInMillis() / 1000L));
/*     */       }
/*  77 */       if (cond == 1)
/*     */       {
/*  79 */         if (st.get("SiegePeriod") != String.valueOf(chSiege.getSiegeDate().getTimeInMillis() / 1000L))
/*     */         {
/*  81 */           st.takeItems(57, 200000L);
/*  82 */           st.set("SiegePeriod", String.valueOf(chSiege.getSiegeDate().getTimeInMillis() / 1000L));
/*     */         }
/*     */       }
/*  85 */       if (cond == 3)
/*  86 */         st.set("SiegePeriod", String.valueOf(chSiege.getSiegeDate().getTimeInMillis() / 1000L));
/*     */     }
/*  88 */     return htmltext;
/*     */   }
/*     */ 
/*     */   public String onTalk(L2NpcInstance npc, QuestState st)
/*     */   {
/*  94 */     String htmltext = "noquest";
/*  95 */     int cond = st.getInt("cond");
/*  96 */     int npcId = npc.getNpcId();
/*  97 */     if (npcId == 35437)
/*     */     {
/*  99 */       if (st.getPlayer().getClanHall() != null)
/*     */       {
/* 101 */         htmltext = "nohaveCh.htm";
/* 102 */         st.exitCurrentQuest(true);
/*     */       }
/*     */ 
/* 105 */       ClanHall ch = ClanHallManager.getInstance().getClanHall(35);
/* 106 */       ClanHallSiege chSiege = ch.getSiege();
/* 107 */       if (chSiege != null)
/*     */       {
/* 109 */         if (cond == 0)
/*     */         {
/* 111 */           if (st.get("SiegePeriod") == null) {
/* 112 */             st.set("SiegePeriod", String.valueOf(chSiege.getSiegeDate().getTimeInMillis() / 1000L));
/*     */           }
/* 114 */           if (!st.getPlayer().isClanLeader())
/*     */           {
/* 116 */             if ((st.getPlayer().getClan() != null) && 
/* 117 */               (st.getPlayer().getClan().getLeader().getPlayer() != null) && 
/* 118 */               (st.getPlayer().getClan().getLeader().getPlayer().getListenerEngine().getProperty(getName()) != null))
/* 119 */               st.set("cond", String.valueOf(st.getPlayer().getClan().getLeader().getPlayer().getListenerEngine().getProperty(getName()).equals("cond")));
/*     */           }
/*     */           else
/* 122 */             htmltext = "35437-05.htm";
/*     */         }
/* 124 */         if (cond > 0)
/*     */         {
/* 126 */           if (st.get("SiegePeriod") != String.valueOf(chSiege.getSiegeDate().getTimeInMillis() / 1000L))
/* 127 */             htmltext = "35437-11.htm";
/* 128 */           else if (cond == 1)
/* 129 */             htmltext = "35437-12.htm";
/* 130 */           else if (cond == 2)
/*     */           {
/* 132 */             if (st.getQuestItemsCount(AMULET) < 30L)
/* 133 */               htmltext = "noitem.htm";
/*     */             else
/* 135 */               htmltext = "35437-03.htm";
/*     */           }
/* 137 */           if (cond == 3)
/* 138 */             htmltext = "35437-12.htm";
/*     */         }
/* 140 */         else if ((!st.getPlayer().isClanLeader()) && (cond == 0))
/*     */         {
/* 142 */           htmltext = "35437-05.htm";
/*     */         }
/*     */       }
/*     */     }
/* 146 */     return htmltext;
/*     */   }
/*     */ 
/*     */   public String onKill(L2NpcInstance npc, QuestState st)
/*     */   {
/* 152 */     int cond = st.getInt("cond");
/* 153 */     if (cond == 2)
/*     */     {
/* 155 */       st.rollAndGive(AMULET, 1, 1, 30, AMULET_SHANCE);
/*     */     }
/* 157 */     return null;
/*     */   }
/*     */ 
/*     */   public void onLoad()
/*     */   {
/* 163 */     System.out.println("Loaded Quest: 504 Competition for the Bandit Stronghold");
/*     */   }
/*     */ 
/*     */   public void onReload()
/*     */   {
/*     */   }
/*     */ 
/*     */   public void onShutdown()
/*     */   {
/*     */   }
/*     */ }

/* Location:           C:\Users\Baltasar\Desktop\scripts.jar
 * Qualified Name:     quests._504_CompetitionfortheBanditStronghold._504_CompetitionfortheBanditStronghold
 * JD-Core Version:    0.6.0
 */