package l2ft.gameserver.clientpackets;

import l2ft.gameserver.model.L2Player;

public class RequestExAddContactToContactList extends L2GameClientPacket
{
	private String _name;

	protected void readImpl()
	{
		_name = readS();
	}

	protected void runImpl()
	{
		if (_name == null || _name.isEmpty())
			return;

		L2Player activeChar = getClient().getActiveChar();
		if (activeChar != null)
			activeChar.getContactList().add(_name);
	}
}