package l2ft.gameserver.clientpackets;

import l2ft.gameserver.model.L2Player;
import l2ft.gameserver.serverpackets.ExOlympiadMatchList;

public class RequestExOlympiadObserverEnd extends L2GameClientPacket
{
	public void readImpl()
	{
	}

	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if (activeChar == null)
			return;

		if (!activeChar.inObserverMode())
			return;

		activeChar.sendPacket(new ExOlympiadMatchList());
	}
}