package l2ft.gameserver.clientpackets;

import l2ft.gameserver.model.L2Player;
import l2ft.gameserver.serverpackets.ExAskModifyPartyLooting;
import l2ft.util.GArray;

public class RequestExPartyLootingModify extends L2GameClientPacket
{
	private int _type;

	public void readImpl()
	{
		_type = readD();
	}

	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if (activeChar == null || activeChar.getParty() == null)
		{
			return;
		}
		activeChar.getParty()._lootVoteType = _type;
		activeChar.getParty()._accepted = new GArray<Long>(activeChar.getParty().getMemberCount());

		activeChar.getParty().broadcastToPartyMembers(activeChar, new ExAskModifyPartyLooting(activeChar.getName(), _type));
	}
}