package l2ft.gameserver.clientpackets;

import l2ft.gameserver.model.L2Player;
import l2ft.gameserver.serverpackets.ExNoticePostArrived;
import l2ft.gameserver.serverpackets.ExShowReceivedPostList;
import l2ft.gameserver.serverpackets.ItemList;

/**
 * Отсылается при нажатии на кнопку "почта", "received mail" или уведомление от {@link ExNoticePostArrived}, запрос входящих писем.
 * В ответ шлется {@link ExShowReceivedPostList}
 */
public class RequestExRequestReceivedPostList extends L2GameClientPacket
{
	@Override
	public void readImpl()
	{
	//just a trigger
	}

	@Override
	public void runImpl()
	{
		L2Player cha = getClient().getActiveChar();
		if(cha != null)
		{
			cha.sendPacket(new ItemList(cha, true));
			cha.sendPacket(new ItemList(cha, false));
			if(cha.isInTransaction())
			{
			    return;
			}
			cha.sendPacket(new ExShowReceivedPostList(cha));
		}
	}
}