package l2ft.gameserver.clientpackets;

import l2ft.gameserver.model.L2Clan;
import l2ft.gameserver.model.L2Clan.RankPrivs;
import l2ft.gameserver.model.L2Player;
import l2ft.gameserver.serverpackets.PledgePowerGradeList;

public class RequestPledgePowerGradeList extends L2GameClientPacket
{
	@Override
	public void readImpl()
	{}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;
		L2Clan clan = activeChar.getClan();
		if(clan != null)
		{
			RankPrivs[] privs = clan.getAllRankPrivs();
			activeChar.sendPacket(new PledgePowerGradeList(privs));
		}
	}
}