package l2ft.gameserver.communitybbs;

import javolution.text.TextBuilder;
import l2ft.Config;
import l2ft.gameserver.model.L2Player;
import l2ft.gameserver.serverpackets.ShowBoard;
import l2ft.util.Files;

public class HtmlManager
{
	public void showPage(L2Player activeChar, String page, String subcontent)
	{	
		if(page == null || page.isEmpty())
			page = "index";
		else
			page = page.replace("../", "").replace("..\\", "");

		page = Config.COMMUNITYBOARD_HTML_ROOT + page + ".htm";

		String content = Files.read(page, activeChar);
		if(content == null)
		{
			if(subcontent == null)
				content = "<html><body><br><br><center>404 Not Found: " + page + "</center></body></html>";
			else
				content = "<html><body>%content%</body></html>";
		}
		if(subcontent != null)
			content = content.replace("%content%", subcontent);

		TextBuilder html = new TextBuilder("");
		html.append("<td><img src=\"L2UI.SquareWhite\" width=1 height=430></td><td fixwidth=119><br1><table bgcolor=626262 FIXWIDTH=\"50\">");
		html.append("<tr><td><button value=\"Главная\" action=\"bypass -h _bbshome\" width=120 height=27 back=\"L2UI_CT1.Button_DF_Down\" fore=\"L2UI_CT1.Button_DF\"></td></tr>");
		html.append("<tr><td><button value=\"Магазин\" action=\"bypass -h _bbstop;pages/shop\" width=120 height=27 back=\"L2UI_CT1.Button_DF_Down\" fore=\"L2UI_CT1.Button_DF\"></td></tr>");
		html.append("<tr><td><button value=\"Баффер\" action=\"bypass -h _bbstop;pages/buffer\" width=120 height=27 back=\"L2UI_CT1.Button_DF_Down\" fore=\"L2UI_CT1.Button_DF\"></td></tr>");
		html.append("<tr><td><button value=\"Телепорт\" action=\"bypass -h _bbstop;pages/teleport\" width=120 height=27 back=\"L2UI_CT1.Button_DF_Down\" fore=\"L2UI_CT1.Button_DF\"></td></tr>");
		html.append("<tr><td><button value=\"Карьера\" action=\"bypass -h _bbstop;pages/career\" width=120 height=27 back=\"L2UI_CT1.Button_DF_Down\" fore=\"L2UI_CT1.Button_DF\"></td></tr>");
		html.append("</table>");
		html.append("<table bgcolor=cdff00 FIXWIDTH=\"50\"><tr><td><button value=\"TvT First\" action=\"bypass -h _bbstop;events/tvt\" width=120 height=27 back=\"L2UI_CT1.Button_DF_Down\" fore=\"L2UI_CT1.Button_DF\"></td></tr></table>");
		html.append("<table bgcolor=dfff62 FIXWIDTH=\"50\"><tr><td><button value=\"CTF First\" action=\"bypass -h _bbstop;events/ctf\" width=120 height=27 back=\"L2UI_CT1.Button_DF_Down\" fore=\"L2UI_CT1.Button_DF\"></td></tr></table>");
		if(activeChar.isGM())
		{
			html.append("<table><tr><td><button value=\"Админ Панель\" action=\"bypass -h admin_admin\" width=120 height=27 back=\"L2UI_CT1.Button_DF_Down\" fore=\"L2UI_CT1.Button_DF\"></td></tr></table>");
		}
		html.append("</td>");

		content = content.replace("{ main_menu }", html.toString());
		ShowBoard.separateAndSend(content, activeChar);
	}
}