package l2ft.gameserver.serverpackets;

public class ExChangeAreaState extends L2GameServerPacket
{

    public ExChangeAreaState(int id, int state)
    {
        _areaID = id;
        _state = state;
    }

    protected final void writeImpl()
    {
        writeC(254);
        writeH(193);
        writeD(_areaID);
        writeD(_state);
    }

    public String getType()
    {
        return "[S] FE:C1 ExChangeAreaState";
    }

    private final int _areaID;
    private final int _state;
}