package l2ft.gameserver.serverpackets;

public class ExConfirmAddingContact extends L2GameServerPacket
{
	private static final String _S__FE_D2_EXCONFIRMADDINGCONTACT = "[S] FE:D2 ExConfirmAddingContact";
	private final String _charName;
	private final boolean _added;
	
	public ExConfirmAddingContact(String charName, boolean added)
	{
		_charName = charName;
		_added = added;
	}

	@Override
	protected void writeImpl()
	{
		writeC(0xFE);
		writeH(0xD2);
		writeS(_charName);
		writeD(_added ? 0x01 : 0x00);
	}

	@Override
	public String getType()
	{
		return _S__FE_D2_EXCONFIRMADDINGCONTACT;
	}
	
}
