package l2ft.gameserver.serverpackets;

import l2ft.gameserver.model.L2Player;

public class Say2 extends L2GameServerPacket
{
	private static final String _S__4A_SAY2 = "[S] 4A Say2";
	private int _objectId, _textType;
	private String _charName, _text;
	private int _msgId = -1; 

	public Say2(int objectId, int messageType, String charName, String text)
	{
		_objectId = objectId;
		_textType = messageType;
		_charName = charName;
		_text = text;
	}

	@Override
	protected final void writeImpl()
	{
	/*	writeC(0x4A);
		writeD(_objectId);
		writeD(_textType);
		
		if (_textType == 11)
		{
			writeD(0x00);
			writeD(0x00);
		}
		else
		{
			writeS(_charName);
			writeS(_text);
		}
	*/
		writeC(0x4A);
		writeD(_objectId);
		writeD(_textType);
		writeS(_charName);
		writeD(_msgId); // High Five NPCString ID 
		writeS(_text);
		
		
		L2Player player = getClient().getActiveChar();
		if(player != null)
		{
			player.broadcastSnoop(_textType, _charName, _text);
		}
	}

	@Override
	public String getType()
	{
		return _S__4A_SAY2;
	}
}