package l2ft.gameserver.serverpackets;

import l2ft.extensions.network.MMOConnection;
import l2ft.gameserver.clientpackets.L2GameClientPacket;

public class WrappedMessage extends L2GameServerPacket
{
	final byte[] _data;

	@SuppressWarnings("unchecked")
	public WrappedMessage(byte[] data, MMOConnection con)
	{
		_data = data;
	}

	public int size()
	{
		return _data.length + 2;
	}

	public byte[] getData()
	{
		return _data;
	}

	public L2GameClientPacket getClientMsg()
	{
		return null;
	}

	@Override
	protected final void writeImpl()
	{
		writeB(_data);
	}

	@Override
	public String getType()
	{
		return null;
	}
}