package l2ft.gameserver.skills.effects;

import l2ft.Config;
import l2ft.gameserver.model.L2Effect;
import l2ft.gameserver.skills.Env;

public final class EffectBlessNoblesse extends L2Effect
{
	public EffectBlessNoblesse(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public void onStart()
	{
		super.onStart();
		getEffected().setIsBlessedByNoblesse(true);
	}

	@Override
	public void onExit()
	{
		super.onExit();
		if (Config.SKILLS_DELETE_NOUBLESSE_BLESSING)
			getEffected().setIsBlessedByNoblesse(false);
	}

	@Override
	public boolean onActionTime()
	{
		return false;
	}
}