package l2ft.gameserver.skills.effects;

import l2ft.gameserver.model.L2Effect;
import l2ft.gameserver.skills.Env;

public final class EffectIgDebuff extends L2Effect
{
	public EffectIgDebuff(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public void onStart()
	{
		super.onStart();
		getEffected().setDebuffIgnore(true);
	}

	@Override
	public void onExit()
	{
		super.onExit();
		getEffected().setDebuffIgnore(false);
	}

	@Override
	public boolean onActionTime()
	{
		return false;
	}
}