package l2ft.loginserver.gameservercon.gspackets;

import l2ft.loginserver.gameservercon.AttGS;

public class TestConnectionResponse extends ClientBasePacket
{
	public TestConnectionResponse(byte[] decrypt, AttGS gameserver)
	{
		super(decrypt, gameserver);
	}

	@Override
	public void read()
	{
		AttGS gs = getGameServer();
		if (gs == null)
			return;
		gs.notifyPingResponse();
		if (gs.getProtocolVersion() >= 3)
		{
			gs.setPlayerCount(readH());
			gs.getGameServerInfo().setMaxPlayers(readH());
		}
	}
}