package l2ft.loginserver.gameservercon.gspackets;

import l2ft.loginserver.IpManager;
import l2ft.loginserver.gameservercon.AttGS;
import l2ft.loginserver.gameservercon.GSConnection;
import l2ft.loginserver.gameservercon.lspackets.BanIPList;
import l2ft.loginserver.gameservercon.lspackets.IpAction;

public class UnbanIP extends ClientBasePacket
{
	public UnbanIP(byte[] decrypt, AttGS gameserver)
	{
		super(decrypt, gameserver);
	}

	@Override
	public void read()
	{
		String ip = readS();
		IpManager.getInstance().UnbanIp(ip);

		GSConnection.getInstance().broadcastPacket(new BanIPList());
		GSConnection.getInstance().broadcastPacket(new IpAction(ip, false, ""));
	}
}