import l2ft.extensions.scripts.Functions;
import l2ft.extensions.scripts.ScriptFile;
import l2ft.gameserver.model.L2Player;

public class DimensionalMerchant extends Functions implements ScriptFile
{

	@Override
	public void onLoad()
	{
		_log.info("Dimensional Merchant Loaded");
	}

	@Override
	public void onReload()
	{}

	@Override
	public void onShutdown()
	{}

	// купоны для обмена
	public static int HUNTING_HELPER_EXCHANGE_COUPON = 13273;
	public static int HIGH_GRADE_HUNTING_HELPER_EXCHANGE_COUPON = 14065;

	// обычные ожерелья
	public static int WHITE_WEASEL_NECKLACE_ID = 13017;
	public static int FAIRY_PRINCESS_NECKLACE_ID = 13018;
	public static int WILD_BEAST_FIGHTER_NECKLACE_ID = 13019;
	public static int FOX_SHAMAN_NECKLACE_ID = 13020;

	// особые ожерелья
	public static int TOY_KNIGHT_NECKLACE_ID = 14061;
	public static int SPIRIT_SHAMAN_NECKLACE_ID = 14062;
	public static int OWL_MONK_NECKLACE_ID = 14063;
	public static int TURTLE_ASCETIC_NECKLACE_ID = 14064;

	public static String YOU_DO_NOT_HAVE_ENOUGH_COUPONS = "У Вас недостаточно купонов для обмена";

	public String DialogAppend_32478(Integer val)
	{
		L2Player player = (L2Player) getSelf();
		String ret = "";
		if(player == null || player.getLevel() < 20)
			return ret;
		return ret;
	}

	public void getVitamin()
	{
		L2Player player = (L2Player) getSelf();
		if(player == null || player.getLevel() < 20)
			return;
		player.sendMessage("Функция \"Получить Витамин\" в данный момент не реализована");
	}

	public void transmitItem()
	{
		L2Player player = (L2Player) getSelf();
		if(player == null || player.getLevel() < 20)
			return;
		player.sendMessage("Функция \"Передать Витамины персонажу на одном аккаунте\" в данный момент не реализована");
	}

	public void getItem()
	{
		L2Player player = (L2Player) getSelf();
		if(player == null || player.getLevel() < 20)
			return;
		player.sendMessage("Функция \"Получить предмет\" в данный момент не реализована");
	}

	public void proofOfFriendship()
	{
		L2Player player = (L2Player) getSelf();
		if(player == null || player.getLevel() < 20)
			return;
		player.sendMessage("Функция \"Показать Доказательство Дружбы\" в данный момент не реализована");
	}

	public void exchangeCoupon_21()
	{
		L2Player player = (L2Player) getSelf();
		if(player == null || player.getLevel() < 20)
			return;
		if(Functions.getItemCount(player, HUNTING_HELPER_EXCHANGE_COUPON) < 1)
			player.sendMessage(YOU_DO_NOT_HAVE_ENOUGH_COUPONS);
		else
		{
			Functions.removeItem(player, HUNTING_HELPER_EXCHANGE_COUPON, 1);
			Functions.addItem(player, WHITE_WEASEL_NECKLACE_ID, 1);
		}
	}

	public void exchangeCoupon_22()
	{
		L2Player player = (L2Player) getSelf();
		if(player == null || player.getLevel() < 20)
			return;
		if(Functions.getItemCount(player, HUNTING_HELPER_EXCHANGE_COUPON) < 1)
			player.sendMessage(YOU_DO_NOT_HAVE_ENOUGH_COUPONS);
		else
		{
			Functions.removeItem(player, HUNTING_HELPER_EXCHANGE_COUPON, 1);
			Functions.addItem(player, FAIRY_PRINCESS_NECKLACE_ID, 1);
		}
	}

	public void exchangeCoupon_23()
	{
		L2Player player = (L2Player) getSelf();
		if(player == null || player.getLevel() < 20)
			return;
		if(Functions.getItemCount(player, HUNTING_HELPER_EXCHANGE_COUPON) < 1)
			player.sendMessage(YOU_DO_NOT_HAVE_ENOUGH_COUPONS);
		else
		{
			Functions.removeItem(player, HUNTING_HELPER_EXCHANGE_COUPON, 1);
			Functions.addItem(player, WILD_BEAST_FIGHTER_NECKLACE_ID, 1);
		}
	}

	public void exchangeCoupon_24()
	{
		L2Player player = (L2Player) getSelf();
		if(player == null || player.getLevel() < 20)
			return;
		if(Functions.getItemCount(player, HUNTING_HELPER_EXCHANGE_COUPON) < 1)
			player.sendMessage(YOU_DO_NOT_HAVE_ENOUGH_COUPONS);
		else
		{
			Functions.removeItem(player, HUNTING_HELPER_EXCHANGE_COUPON, 1);
			Functions.addItem(player, FOX_SHAMAN_NECKLACE_ID, 1);
		}
	}

	public void exchangeCoupon_31()
	{
		L2Player player = (L2Player) getSelf();
		if(player == null || player.getLevel() < 20)
			return;
		if(Functions.getItemCount(player, HIGH_GRADE_HUNTING_HELPER_EXCHANGE_COUPON) < 1)
			player.sendMessage(YOU_DO_NOT_HAVE_ENOUGH_COUPONS);
		else
		{
			Functions.removeItem(player, HIGH_GRADE_HUNTING_HELPER_EXCHANGE_COUPON, 1);
			Functions.addItem(player, TOY_KNIGHT_NECKLACE_ID, 1);
		}
	}

	public void exchangeCoupon_32()
	{
		L2Player player = (L2Player) getSelf();
		if(player == null || player.getLevel() < 20)
			return;
		if(Functions.getItemCount(player, HIGH_GRADE_HUNTING_HELPER_EXCHANGE_COUPON) < 1)
			player.sendMessage(YOU_DO_NOT_HAVE_ENOUGH_COUPONS);
		else
		{
			Functions.removeItem(player, HIGH_GRADE_HUNTING_HELPER_EXCHANGE_COUPON, 1);
			Functions.addItem(player, SPIRIT_SHAMAN_NECKLACE_ID, 1);
		}
	}

	public void exchangeCoupon_33()
	{
		L2Player player = (L2Player) getSelf();
		if(player == null || player.getLevel() < 20)
			return;
		if(Functions.getItemCount(player, HIGH_GRADE_HUNTING_HELPER_EXCHANGE_COUPON) < 1)
			player.sendMessage(YOU_DO_NOT_HAVE_ENOUGH_COUPONS);
		else
		{
			Functions.removeItem(player, HIGH_GRADE_HUNTING_HELPER_EXCHANGE_COUPON, 1);
			Functions.addItem(player, OWL_MONK_NECKLACE_ID, 1);
		}
	}

	public void exchangeCoupon_34()
	{
		L2Player player = (L2Player) getSelf();
		if(player == null || player.getLevel() < 20)
			return;
		if(Functions.getItemCount(player, HIGH_GRADE_HUNTING_HELPER_EXCHANGE_COUPON) < 1)
			player.sendMessage(YOU_DO_NOT_HAVE_ENOUGH_COUPONS);
		else
		{
			Functions.removeItem(player, HIGH_GRADE_HUNTING_HELPER_EXCHANGE_COUPON, 1);
			Functions.addItem(player, TURTLE_ASCETIC_NECKLACE_ID, 1);
		}
	}
}