package ai;

import l2ft.gameserver.ai.Fighter;
import l2ft.gameserver.instancemanager.ZoneManager;
import l2ft.gameserver.model.L2Character;
import l2ft.gameserver.model.L2Playable;
import l2ft.gameserver.model.L2Zone;

public class Anais extends Fighter
{
	private static L2Zone _zone;

	public Anais(L2Character actor)
	{
		super(actor);
		AI_TASK_DELAY = 1000;
		AI_TASK_ACTIVE_DELAY = 1000;
		_zone = ZoneManager.getInstance().getZoneById(L2Zone.ZoneType.dummy, 702110, false);
	}
  
 /* @Override
  protected boolean maybeMoveToHome()
  {
    L2NpcInstance actor = getActor();
    if (actor != null && !_zone.checkIfInZone(actor))
      teleportHome(true);
    return false;
  }*/

	public static L2Zone getZone()
	{
		return _zone;
	}

	public boolean canSeeInSilentMove(L2Playable target)
	{
		return (!target.isSilentMoving()) || (l2ft.util.Rnd.chance(10));
	}
}