package ai;

import l2ft.gameserver.ai.DefaultAI;
import l2ft.gameserver.model.L2Character;
import l2ft.gameserver.model.L2Spawn;
import l2ft.gameserver.model.instances.L2NpcInstance;
import l2ft.gameserver.tables.SpawnTable;

/**
 * AI for Divine Furnace (Священная Жаровня )
 * неагрессивный монстр 78 уровня Others расы. Обитает в локациях Monastery of Silence. ID 18915
 */
public class DivineFurnace extends DefaultAI
{
  public DivineFurnace(L2Character actor)
  {
    super(actor);
  }

  protected void onEvtDead()
  {
    L2NpcInstance actor = getActor();
    L2Spawn spawn = actor.getSpawn();
    if (spawn.getLocation() == 9142)
      return;
    SpawnTable.getInstance().deleteSpawn(spawn, false);
    spawn.setRespawnDelay(60);
  }

  protected boolean randomWalk()
  {
    return false;
  }

  protected boolean randomAnimation()
  {
    return false;
  }
}