package ai;

import l2ft.gameserver.ai.Fighter;
import l2ft.gameserver.model.L2Character;
import l2ft.gameserver.model.instances.L2NpcInstance;
import l2ft.util.Rnd;

/**
 * @author Byldas
 * @date 07.09.11  
 * @AI for Mobs Maguen
 */
public class Maguen extends Fighter
{
	private long _lastChangeTime = 0;
	private static final long NextChange = 300 * 1000; // 5 мин
	private int State = 0;
	
	public Maguen(L2Character actor)
	{
		super(actor);
	}

	@Override
	protected boolean randomAnimation()
	{
		return false;
	}

	@Override
	public boolean isGlobalAI()
	{
		return true;
	}

	@Override
	protected boolean randomWalk()
	{
		return false;
	}

	@Override
	protected boolean thinkActive()
	{
		L2NpcInstance actor = getActor();
		int id = getActor().getNpcId();
		
		if(id == 18839)
		{
			if(_lastChangeTime + NextChange + Rnd.get(60000, 300000) < System.currentTimeMillis())
			{
				State = Rnd.get(1,3);
				changestate(actor, State);
				_lastChangeTime = System.currentTimeMillis();
			}
				
		}
		
		return super.thinkActive();
	}

	private void changestate(L2NpcInstance actor, int state)
	{
		actor.setNpcState(state);
		
	}
}