package ai;

import l2ft.gameserver.ai.CtrlIntention;
import l2ft.gameserver.ai.Mystic;
import l2ft.gameserver.model.L2Character;
import l2ft.gameserver.model.L2World;
import l2ft.gameserver.model.instances.L2NpcInstance;

public class Quest196Lilith extends Mystic
{
	private L2NpcInstance anakim = null;

	public Quest196Lilith(L2Character actor)
	{
		super(actor);
		AI_TASK_DELAY = 3000;
		AI_TASK_ACTIVE_DELAY = 3000;
	}

	protected boolean thinkActive()
	{
		L2NpcInstance actor = getActor();
		if (actor == null)
			return true;

		if (getIntention() == CtrlIntention.AI_INTENTION_ACTIVE)
		{
			if (anakim == null)
			{
				for (L2NpcInstance npc : L2World.getAroundNpc(actor, 1000, 200))
					if (npc.getNpcId() == 32718)
						anakim = npc;
			}
			if (anakim != null)
			{
				setIntention(CtrlIntention.AI_INTENTION_ATTACK, anakim);
			}
		}
		return true;
	}

	protected void onEvtAttacked(L2Character attacker, int damage)
	{
	}

	protected void onEvtAggression(L2Character target, int aggro)
	{
	}

	public int getRatePHYS()
	{
		return 0;
	}
}