package l2ft.gameserver.serverpackets;

import java.util.Calendar;
import java.util.Collection;

import l2ft.Config;
import l2ft.gameserver.itemmall.ItemMall;

public class ExBR_ProductList extends L2GameServerPacket {
    public Collection<ItemMall.ItemMallItem> col;

    Calendar eventItemTime = Calendar.getInstance(); 
	int hour = eventItemTime.get(Calendar.HOUR_OF_DAY); 
	int min = eventItemTime.get(Calendar.MINUTE);
    
    @Override
    protected void writeImpl() {
        writeC(0xFE);
        writeH(0xD6);
        writeD(col.size());

        for (ItemMall.ItemMallItem cs : col) {
            writeD(cs.template.brId);
            writeH(cs.template.category);
            writeD(cs.price);
            int cat = 0;
            if (cs.iSale >= Config.IM_COUNT_TO_BEST)
            	cat = 2;
            switch (cs.iCategory2) 
            {
            	case 0:
            		cat = 0; 
            		break;
            	case 1:
            		if(hour >= cs.iStartHour && min >= cs.iStartMin && hour <= cs.iEndHour && min <= cs.iEndMin) 
            			cat = 1; 
            		else 
            			cat = 0; 
            		break;
                
            }
            writeD(cat);//дополнительная категория, 0 - откл, 1 - ивент, 2 - выбор дня, 3 и туда и туда. для ивентовых, слева от молла при открытии вылазит песдатое окошко^^
            if (cs.iStartSale > 0 && cs.iEndSale > 0) {
                writeD(cs.iStartSale); //start_sale //12CEDE40
                writeD(cs.iEndSale); //end_sale //7ECE3CD0
            } else {
                writeD(0x12CEDE40);
                writeD(0x7ECE3CD0);
            }
            writeC(0x7F); //DayWeek. Хз как задействовать
            writeC(cs.iStartHour); //start_hour 0-23
            writeC(cs.iStartMin); //start_min 0-59
            writeC(cs.iEndHour); //end_hour 0-23
            writeC(cs.iEndMin); //end_min 0-59
            writeD(cs.iStock); //сколько уже купили от макс стока
            writeD(cs.iMaxStock); //max_stock
        }
    }
}