package l2ft.gameserver.serverpackets;

import l2ft.gameserver.model.L2Player;

public class ExDominionWarStart extends L2GameServerPacket
{
	private int _charObjId;
	private int _territoryId;
	private boolean _isDisguised;
	private boolean canWriteImpl = false;

	public ExDominionWarStart(L2Player cha)
	{
		_charObjId = cha.getObjectId();
		_territoryId = cha.getTerritorySiege();
		_isDisguised = false;
		canWriteImpl = (_territoryId > -1);
	}

	protected void writeImpl()
	{
		if (!canWriteImpl)
			return;

		writeC(EXTENDED_PACKET);
		writeH(0xA3);
		writeD(_charObjId);
		writeD(1);
		writeD(_territoryId + 80);
		writeD(_isDisguised ? 1 : 0);
		writeD(_isDisguised ? _territoryId + 80 : 0);
	}
}