package l2ft.gameserver.serverpackets;

public class ExNevitAdventPointInfoPacket extends L2GameServerPacket
	{
	       private int _points = 0;
	     
	       public ExNevitAdventPointInfoPacket(int points)
	       {
	               _points = points;
	       }
	     
	       @Override
	       protected void writeImpl()
	       {
	               writeC(0xFE);
	               writeH(0xDF);
	               writeD(_points); // 72 = 1%
	       }
	     
	       @Override
	       public String getType()
	       {
	               return "[S] FE:DF ExNevitAdventPointInfoPacket";
	       }
	}