package l2ft.gameserver.serverpackets;

import l2ft.gameserver.model.L2Skill;

public class ExSubPledgeSkillAdd extends L2GameServerPacket
{
	private int _type;
	private int _skillId;
	private int _skillLevel;

	public ExSubPledgeSkillAdd(int type, L2Skill skill)
	{
		_type = type;
	    _skillId = skill.getId();
	    _skillLevel = skill.getLevel();
	}

	@Override
	protected void writeImpl()
	{
		writeC(EXTENDED_PACKET);
		writeH(0x76);
		writeD(_type);
		writeD(_skillId);
		writeD(_skillLevel);
	}
}