package l2ft.gameserver.serverpackets;

import l2ft.Config;
public class KeyPacket extends L2GameServerPacket
{
	private byte[] _key;
	public KeyPacket(byte[] key)
	{
		_key = key;
	}
	@Override
	protected void writeImpl() 
	{
		if(!com.lameguard.LameGuard.isEnabled())
		{
			writeC(0x2E);
			if (_key == null || _key.length == 0) 
			{
				writeC(0x00);
				return;
			}
			writeC(0x01);
			for (int i = 0; i < 8; i++) 
			{
				writeC(_key[i]); // key
			}
			writeD(0x01);
			writeD(Config.REQUEST_ID); // server id
			writeC(0x00);
			writeD(0x00); // Seed (obfuscation key)
		}
		else
		{
			writeC(0x2E);
			writeC(_key == null ? 0x00 : 0x01);
			if(_key != null)
			{
				writeB(_key);
				writeD(0x01);
				writeD(0x01);
				writeC(0x01);
				writeD(0x00);
			}
		}
    }
}