package l2ft.gameserver.skills.effects;

import l2ft.gameserver.model.L2Effect;
import l2ft.gameserver.skills.Env;

public final class EffectDeBuffImmunity extends L2Effect
{
	public EffectDeBuffImmunity(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	public void onStart()
	{
		super.onStart();
		getEffected().setDeBuffImmunity(true);
	}

	public void onExit()
	{
		super.onExit();
		getEffected().setDeBuffImmunity(false);
	}

	public boolean onActionTime()
	{
		return false;
	}
}