package l2ft.gameserver.skills.effects;

import l2ft.gameserver.model.L2Effect;
import l2ft.gameserver.skills.Env;

public class EffectRecBonusKeep extends L2Effect
{
	public EffectRecBonusKeep(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public void onStart()
	{
		super.onStart();
		if (getEffected().isPlayer())
			getEffected().getPlayer().getRecommendation().stopRecBonus();
	}

	@Override
	public void onExit()
	{
		super.onExit();
		if (getEffected().isPlayer())
			getEffected().getPlayer().getRecommendation().stopRecBonus();
	}

	@Override
	public boolean onActionTime()
	{
		return false;
	}
}