package l2ft.gameserver.skills.skillclasses;

import l2ft.gameserver.serverpackets.SystemMessage;
import l2ft.gameserver.model.L2Character;
import l2ft.gameserver.model.L2Player;
import l2ft.gameserver.model.L2Skill;
import l2ft.gameserver.templates.StatsSet;
import l2ft.util.GArray;

public class GiveVitality extends L2Skill
{
	public GiveVitality(StatsSet set)
	{
		super(set);
	}
	
	@Override
	public void useSkill(L2Character activeChar, GArray<L2Character> targets)
	{
		for (L2Character target : targets)
		{
			if (target instanceof L2Player)
			{
				((L2Player) target).getEffectList().stopEffect(getId());
				((L2Player) target).sendPacket(new SystemMessage(110).addString(getName()));
				((L2Player) target).setVitality(getPower());
				getEffects(activeChar, target, getActivateRate() > 0, false);
			}
		}
	}
}