package l2ft.gameserver.taskmanager.tasks;

import java.util.logging.Logger;
import l2ft.database.mysql;
import l2ft.gameserver.model.L2ObjectsStorage;
import l2ft.gameserver.model.L2Player;
import l2ft.gameserver.model.entity.NevitBlessing;
import l2ft.gameserver.taskmanager.Task;
import l2ft.gameserver.taskmanager.TaskManager;
import l2ft.gameserver.taskmanager.TaskManager.ExecutedTask;
import l2ft.gameserver.taskmanager.TaskTypes;

public class TaskNavit extends Task
{
	private static final Logger _log = Logger.getLogger(TaskNavit.class.getName());
	private static final String NAME = "clear_navit";

	public String getName()
	{
		return "clear_navit";
	}

	public void onTimeElapsed(TaskManager.ExecutedTask task)
	{
		_log.config("Navit Global Task: launched.");
		for (L2Player player : L2ObjectsStorage.getAllPlayers())
			player.getNevitBlessing().setBonusTime(0);
		mysql.set("UPDATE `characters` SET `hunt_bonus`=0");

		_log.config("Navit Global Task: completed.");
	}

	public void initializate()
	{
		TaskManager.addUniqueTask("clear_navit", TaskTypes.TYPE_GLOBAL_TASK, "1", "6:30:00", "");
	}
}