package l2ft.util;

public class SimpleReuseTimer implements ReuseTimer
{
	private final long _reuse;

	public SimpleReuseTimer(String reusetime)
	{
		_reuse = (Long.parseLong(reusetime) * 60000);
	}

	public long timeNextUsage(long time)
	{
		return time + _reuse;
	}

	public boolean canRunNow(long time)
	{
		return timeNextUsage(time) < System.currentTimeMillis();
	}
}